Subject: bug#54804: 29.0.50; zap-to-char: case sensitive for upper-case letter

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 May 2022 08:38:44 +0300

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked], Robert Pluim <[email-masked]>, Eli Zaretskii
>  <[email-masked]>, [email-masked]
> Date: Fri, 20 May 2022 15:59:45 -0700
> 
> > commit 86750ab021ea889766a717458ed28a54e6a40ad3
> > Author: Tino Calancha <[email-masked]>
> > Date:   Thu May 12 17:48:09 2022 +0200
> >
> >     zap-to-char: case sensitive for upper-case characters
> >
> >     In interactive calls, behave case-sensitively if the given char
> >     is an upper-case character.  Same for zap-up-to-char.
> >
> >     This is analog to what the user-level incremental search feature does.
> 
> Could we have a defcustom to always be case-sensitive, please?

We already have: case-fold-search.

> I like the way C-s works by default but for zap-* I'd prefer case
> sensitivity in every case.

Why?

It is a slippery slope to have a separate case-sensitivity option for
each command or a couple of commands.  If that is what you want, you
can always write your own one-line wrapper around each of these
commands, but I don't see any reason that Emacs should provide that
for everyone.

So I don't think we should provide such a defcustom for these two
commands.